%define bname qalculate

%define major 5
%define libname %mklibname %{bname} %{major}
%define develname %mklibname %{bname} -d

Summary:	The library for qalculate
Name:		libqalculate
Version:	0.9.7
Release:	%mkrel 10
License:	GPLv2+
Group:		System/Libraries
URL:		http://qalculate.sourceforge.net
Source0:	http://downloads.sourceforge.net/project/qalculate/libqalculate/%{name}-%{version}/%{name}-%{version}.tar.bz2
BuildRequires:	intltool
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(cln)
BuildRequires:	readline-devel

%description
Libraries needed by qalculator.

%package -n %{libname}
Group:		System/Libraries
Summary:	The library for qalculate
Requires:	%{name}-data >= %{version}-%{release}

%description -n %{libname}
Libraries needed by qalculate.

%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Provides:       %{bname}-devel
Provides:	%{name}-devel

%description -n %{develname}
Headers and development files for %{name}.

%package data
Summary:	Data files for %{name}
Group:		System/Libraries
BuildArch:	noarch

%description data
Data files for %{name}.

%prep
%setup -q

%build
%configure2_5x \
	--disable-static
%make

%install
%makeinstall_std

rm -f %{buildroot}%{_bindir}/*

#we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name}

%files -n %{libname}
%{_libdir}/%{name}.so.%{major}*

%files data -f %{name}.lang
%{_datadir}/%{bname}/

%files -n %{develname}
%doc AUTHORS ChangeLog NEWS README* TODO
%doc %{_docdir}/%{name}-%{version}/
%{_includedir}/%{name}/
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0.9.7-10.mga3
+ Revision: 358024
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Sep 09 2012 wally <wally> 0.9.7-9.mga3
+ Revision: 291272
- rebuild due to a missing i586 pkgs

* Tue Aug 28 2012 wally <wally> 0.9.7-8.mga3
+ Revision: 284886
- disable static build and get rid of .la files
- drop old obsoletes/conflicts
- tag data pkg as noarch
- clean .spec a bit

* Sat Jan 15 2011 mikala <mikala> 0.9.7-7.mga1
+ Revision: 18682
- Remove mdk macro
- Remove BuildRoot
- imported package libqalculate

